<template>
  <div>
    <card :title="$t('topup')" v-if="topup" class="mb-2">
      <div class="card-body px-0" v-if="topup.status == 'confirmed'">
        <fa
          icon="check-circle"
          color="#5cb85c"
          size="6x"
          class="mx-auto d-block mb-5"
        />
        <div class="bg-light text-secondary mb-3 p-4">
          <p class="text-center m-0">
            {{ $t("topup_confirmed") }}
          </p>
        </div>
      </div>
      <div class="card-body px-0" v-if="topup.status == 'paid'">
        <fa
          icon="clock"
          size="6x"
          color="#ced4da"
          class="mx-auto d-block mb-5"
        />
        <div class="bg-light text-secondary mb-3 p-4">
          <p class="text-center m-0">
            {{ $t("topup_paid") }}
          </p>
        </div>
      </div>
      <div class="card-body" v-if="topup.status == 'pending'">
        <cryptoicon
          :symbol="topup.currency.code"
          size="94"
          class="mx-auto d-block mb-5"
        />
        <div class="bg-light text-secondary mb-3 p-4">
          <p class="text-center m-0">
            <span
              v-html="
                $t('topup_info', {
                  address: topup.address,
                  crypto_amount: parseFloat(topup.crypto_amount).toString(),
                  code: topup.currency.code,
                  fiat_amount: topup.fiat_amount
                    .replace('.', ',')
                    .replace(/\B(?=(\d{3})+(?!\d))/g, '.')
                })
              "
            ></span>
          </p>
        </div>

        <router-link
          :to="{ name: 'panel.topups' }"
          class="btn btn-info float-left"
        >
          {{ $t("back") }}
        </router-link>

        <a class="btn btn-danger float-right" href="#" v-on:click="cancel">
          {{ $t("cancel") }}
        </a>
      </div>
    </card>
  </div>
</template>

<script>
import Form from "vform";
import { mapGetters } from "vuex";
import axios from "axios";

export default {
  scrollToTop: false,

  metaInfo() {
    return { title: this.$t("panel") };
  },

  props: ["id"],

  data: () => ({
    topup: null
  }),

  created() {
    this.update();
  },

  computed: {
    ...mapGetters({
      user: "auth/user"
    })
  },

  methods: {
    async update() {
      const { data } = await axios.get(route("shop.topups.get", this.id));
      if (data) {
        this.topup = data;
      }
    },

    async cancel() {
      await axios.get(route("shop.topups.cancel", this.id));
      this.$router.push({ name: "panel.topups" });
    }
  }
};
</script>
